summaryrefslogtreecommitdiff
path: root/tests/keytrans
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2009-02-04 01:51:55 -0500
committerDaniel Kahn Gillmor <dkg@fifthhorseman.net>2009-02-04 01:51:55 -0500
commit7a96cfb6bfa9f5ab8cc82930049b0c46097a2634 (patch)
tree8188ebf111486d8a3ae5af0e80a6aebab7224507 /tests/keytrans
parentaf417e29d0f2e9cd1add6ad47dfbbde9e35a5433 (diff)
tests/keytrans: terminate reasonably on success.
Diffstat (limited to 'tests/keytrans')
-rwxr-xr-xtests/keytrans8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/keytrans b/tests/keytrans
index e1ccda5..285d17b 100755
--- a/tests/keytrans
+++ b/tests/keytrans
@@ -78,3 +78,11 @@ diff -u \
<(PEM2OPENPGP_USAGE_FLAGS=sign,certify \
PEM2OPENPGP_TIMESTAMP="$timestamp" pem2openpgp testtest < \
"$TEMPDIR"/test.pem | hd )
+
+trap - EXIT
+
+echo "##################################################"
+echo " Monkeysphere keytrans test completed successfully!"
+echo "##################################################"
+
+cleanup